Search Gradle plugins

Version 9.0.3 (latest)

Created 18 November 2019.

Adds support for building OSGi bundles.

Using the plugins DSL:

plugins {
  id "com.cognifide.aem.bundle" version "9.0.3"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.cognifide.gradle:aem-plugin:9.0.3"
  }
}

apply plugin: "com.cognifide.aem.bundle"

Using the plugins DSL:

plugins {
  id("com.cognifide.aem.bundle") version "9.0.3"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.cognifide.gradle:aem-plugin:9.0.3")
  }
}

apply(plugin = "com.cognifide.aem.bundle")

Learn how to apply plugins to subprojects